/* Generated by camel build tools - do NOT edit this file! */
/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.builder.endpoint.dsl;

import java.util.*;
import java.util.concurrent.*;
import java.util.function.*;
import java.util.stream.*;
import javax.annotation.processing.Generated;
import org.apache.camel.builder.EndpointConsumerBuilder;
import org.apache.camel.builder.EndpointProducerBuilder;
import org.apache.camel.builder.endpoint.AbstractEndpointBuilder;

/**
 * Access OpenStack Keystone for API client authentication, service discovery
 * and distributed multi-tenant authorization.
 * 
 * Generated by camel build tools - do NOT edit this file!
 */
@Generated("org.apache.camel.maven.packaging.EndpointDslMojo")
public interface KeystoneEndpointBuilderFactory {

    /**
     * Builder for endpoint for the OpenStack Keystone component.
     */
    public interface KeystoneEndpointBuilder
            extends
                EndpointProducerBuilder {
        default AdvancedKeystoneEndpointBuilder advanced() {
            return (AdvancedKeystoneEndpointBuilder) this;
        }

        /**
         * OpenStack configuration.
         * 
         * The option is a: <code>org.openstack4j.core.transport.Config</code>
         * type.
         * 
         * Group: producer
         * 
         * @param config the value to set
         * @return the dsl builder
         */
        default KeystoneEndpointBuilder config(org.openstack4j.core.transport.Config config) {
            doSetProperty("config", config);
            return this;
        }
        /**
         * OpenStack configuration.
         * 
         * The option will be converted to a
         * <code>org.openstack4j.core.transport.Config</code> type.
         * 
         * Group: producer
         * 
         * @param config the value to set
         * @return the dsl builder
         */
        default KeystoneEndpointBuilder config(String config) {
            doSetProperty("config", config);
            return this;
        }
        /**
         * Authentication domain.
         * 
         * The option is a: <code>java.lang.String</code> type.
         * 
         * Default: default
         * Group: producer
         * 
         * @param domain the value to set
         * @return the dsl builder
         */
        default KeystoneEndpointBuilder domain(String domain) {
            doSetProperty("domain", domain);
            return this;
        }
        /**
         * The operation to do.
         * 
         * The option is a: <code>java.lang.String</code> type.
         * 
         * Group: producer
         * 
         * @param operation the value to set
         * @return the dsl builder
         */
        default KeystoneEndpointBuilder operation(String operation) {
            doSetProperty("operation", operation);
            return this;
        }
        /**
         * OpenStack password.
         * 
         * The option is a: <code>java.lang.String</code> type.
         * 
         * Required: true
         * Group: producer
         * 
         * @param password the value to set
         * @return the dsl builder
         */
        default KeystoneEndpointBuilder password(String password) {
            doSetProperty("password", password);
            return this;
        }
        /**
         * The project ID.
         * 
         * The option is a: <code>java.lang.String</code> type.
         * 
         * Required: true
         * Group: producer
         * 
         * @param project the value to set
         * @return the dsl builder
         */
        default KeystoneEndpointBuilder project(String project) {
            doSetProperty("project", project);
            return this;
        }
        /**
         * OpenStack Keystone subsystem.
         * 
         * The option is a: <code>java.lang.String</code> type.
         * 
         * Required: true
         * Group: producer
         * 
         * @param subsystem the value to set
         * @return the dsl builder
         */
        default KeystoneEndpointBuilder subsystem(String subsystem) {
            doSetProperty("subsystem", subsystem);
            return this;
        }
        /**
         * OpenStack username.
         * 
         * The option is a: <code>java.lang.String</code> type.
         * 
         * Required: true
         * Group: producer
         * 
         * @param username the value to set
         * @return the dsl builder
         */
        default KeystoneEndpointBuilder username(String username) {
            doSetProperty("username", username);
            return this;
        }
    }

    /**
     * Advanced builder for endpoint for the OpenStack Keystone component.
     */
    public interface AdvancedKeystoneEndpointBuilder
            extends
                EndpointProducerBuilder {
        default KeystoneEndpointBuilder basic() {
            return (KeystoneEndpointBuilder) this;
        }

        /**
         * Whether the producer should be started lazy (on the first message).
         * By starting lazy you can use this to allow CamelContext and routes to
         * startup in situations where a producer may otherwise fail during
         * starting and cause the route to fail being started. By deferring this
         * startup to be lazy then the startup failure can be handled during
         * routing messages via Camel's routing error handlers. Beware that when
         * the first message is processed then creating and starting the
         * producer may take a little time and prolong the total processing time
         * of the processing.
         * 
         * The option is a: <code>boolean</code> type.
         * 
         * Default: false
         * Group: producer (advanced)
         * 
         * @param lazyStartProducer the value to set
         * @return the dsl builder
         */
        default AdvancedKeystoneEndpointBuilder lazyStartProducer(boolean lazyStartProducer) {
            doSetProperty("lazyStartProducer", lazyStartProducer);
            return this;
        }
        /**
         * Whether the producer should be started lazy (on the first message).
         * By starting lazy you can use this to allow CamelContext and routes to
         * startup in situations where a producer may otherwise fail during
         * starting and cause the route to fail being started. By deferring this
         * startup to be lazy then the startup failure can be handled during
         * routing messages via Camel's routing error handlers. Beware that when
         * the first message is processed then creating and starting the
         * producer may take a little time and prolong the total processing time
         * of the processing.
         * 
         * The option will be converted to a <code>boolean</code> type.
         * 
         * Default: false
         * Group: producer (advanced)
         * 
         * @param lazyStartProducer the value to set
         * @return the dsl builder
         */
        default AdvancedKeystoneEndpointBuilder lazyStartProducer(String lazyStartProducer) {
            doSetProperty("lazyStartProducer", lazyStartProducer);
            return this;
        }
    }

    public interface KeystoneBuilders {
        /**
         * OpenStack Keystone (camel-openstack)
         * Access OpenStack Keystone for API client authentication, service
         * discovery and distributed multi-tenant authorization.
         * 
         * Category: container
         * Since: 2.19
         * Maven coordinates: org.apache.camel:camel-openstack
         * 
         * @return the dsl builder for the headers' name.
         */
        default KeystoneHeaderNameBuilder openstackKeystone() {
            return KeystoneHeaderNameBuilder.INSTANCE;
        }
        /**
         * OpenStack Keystone (camel-openstack)
         * Access OpenStack Keystone for API client authentication, service
         * discovery and distributed multi-tenant authorization.
         * 
         * Category: container
         * Since: 2.19
         * Maven coordinates: org.apache.camel:camel-openstack
         * 
         * Syntax: <code>openstack-keystone:host</code>
         * 
         * Path parameter: host (required)
         * OpenStack host url
         * 
         * @param path host
         * @return the dsl builder
         */
        default KeystoneEndpointBuilder openstackKeystone(String path) {
            return KeystoneEndpointBuilderFactory.endpointBuilder("openstack-keystone", path);
        }
        /**
         * OpenStack Keystone (camel-openstack)
         * Access OpenStack Keystone for API client authentication, service
         * discovery and distributed multi-tenant authorization.
         * 
         * Category: container
         * Since: 2.19
         * Maven coordinates: org.apache.camel:camel-openstack
         * 
         * Syntax: <code>openstack-keystone:host</code>
         * 
         * Path parameter: host (required)
         * OpenStack host url
         * 
         * @param componentName to use a custom component name for the endpoint
         * instead of the default name
         * @param path host
         * @return the dsl builder
         */
        default KeystoneEndpointBuilder openstackKeystone(String componentName, String path) {
            return KeystoneEndpointBuilderFactory.endpointBuilder(componentName, path);
        }

    }
    /**
     * The builder of headers' name for the OpenStack Keystone component.
     */
    public static class KeystoneHeaderNameBuilder {
        /**
         * The internal instance of the builder used to access to all the
         * methods representing the name of headers.
         */
        private static final KeystoneHeaderNameBuilder INSTANCE = new KeystoneHeaderNameBuilder();

        /**
         * The description.
         * 
         * The option is a: {@code String} type.
         * 
         * Group: producer
         * 
         * @return the name of the header {@code description}.
         */
        public String description() {
            return "description";
        }
        /**
         * ID of the domain.
         * 
         * The option is a: {@code String} type.
         * 
         * Group: group project user
         * 
         * @return the name of the header {@code domainId}.
         */
        public String domainId() {
            return "domainId";
        }
        /**
         * The parent project ID.
         * 
         * The option is a: {@code String} type.
         * 
         * Group: project
         * 
         * @return the name of the header {@code parentId}.
         */
        public String parentId() {
            return "parentId";
        }
        /**
         * User's password.
         * 
         * The option is a: {@code String} type.
         * 
         * Group: user
         * 
         * @return the name of the header {@code password}.
         */
        public String password() {
            return "password";
        }
        /**
         * User's email.
         * 
         * The option is a: {@code String} type.
         * 
         * Group: user
         * 
         * @return the name of the header {@code email}.
         */
        public String email() {
            return "email";
        }
        /**
         * ID of the user.
         * 
         * The option is a: {@code String} type.
         * 
         * Group: group
         * 
         * @return the name of the header {@code userId}.
         */
        public String userId() {
            return "userId";
        }
        /**
         * ID of the group.
         * 
         * The option is a: {@code String} type.
         * 
         * Group: group
         * 
         * @return the name of the header {@code groupId}.
         */
        public String groupId() {
            return "groupId";
        }
        /**
         * The operation to perform.
         * 
         * The option is a: {@code String} type.
         * 
         * Group: producer
         * 
         * @return the name of the header {@code operation}.
         */
        public String operation() {
            return "operation";
        }
        /**
         * The ID.
         * 
         * The option is a: {@code String} type.
         * 
         * Group: producer
         * 
         * @return the name of the header {@code ID}.
         */
        public String iD() {
            return "ID";
        }
        /**
         * The name.
         * 
         * The option is a: {@code String} type.
         * 
         * Group: producer
         * 
         * @return the name of the header {@code name}.
         */
        public String name() {
            return "name";
        }
    }
    static KeystoneEndpointBuilder endpointBuilder(String componentName, String path) {
        class KeystoneEndpointBuilderImpl extends AbstractEndpointBuilder implements KeystoneEndpointBuilder, AdvancedKeystoneEndpointBuilder {
            public KeystoneEndpointBuilderImpl(String path) {
                super(componentName, path);
            }
        }
        return new KeystoneEndpointBuilderImpl(path);
    }
}